Loading...
Searching...
No Matches
RDKit::MolStandardize::TautomerCatalogEntry Class Reference

`#include <TautomerCatalogEntry.h>`

Inheritance diagram for RDKit::MolStandardize::TautomerCatalogEntry:

## Public Member Functions

| TautomerCatalogEntry ()
| ~TautomerCatalogEntry () override
unsigned int | getOrder () const
void | toStream (std::ostream &ss) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogEntry
virtual | ~CatalogEntry ()=0
void | setBitId (int bid)
| sets our bit Id
int | getBitId () const
| returns our bit Id
virtual std::string | getDescription () const =0
| returns a text description of this entry

## Detailed Description

Definition at line 24 of file TautomerCatalogEntry.h.

## Constructor & Destructor Documentation

## TautomerCatalogEntry()

RDKit::MolStandardize::TautomerCatalogEntry::TautomerCatalogEntry | ( |  | ) |

inline

Definition at line 27 of file TautomerCatalogEntry.h.

References RDCatalog::CatalogEntry::setBitId().

## ~TautomerCatalogEntry()

RDKit::MolStandardize::TautomerCatalogEntry::~TautomerCatalogEntry | ( |  | ) |

inline override

Definition at line 34 of file TautomerCatalogEntry.h.

## Member Function Documentation

## getOrder()

unsigned int RDKit::MolStandardize::TautomerCatalogEntry::getOrder | ( |  | ) | const

inline

Definition at line 42 of file TautomerCatalogEntry.h.

## initFromStream()

void RDKit::MolStandardize::TautomerCatalogEntry::initFromStream | ( | std::istream & | ss | ) |

override virtual

initializes from a stream pickle

Implements RDCatalog::CatalogEntry.

## initFromString()

void RDKit::MolStandardize::TautomerCatalogEntry::initFromString | ( | const std::string & | text | ) |

override virtual

initializes from a string pickle

Implements RDCatalog::CatalogEntry.

## Serialize()

std::string RDKit::MolStandardize::TautomerCatalogEntry::Serialize | ( |  | ) | const

override virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogEntry.

## toStream()

void RDKit::MolStandardize::TautomerCatalogEntry::toStream | ( | std::ostream & | ss | ) | const

override virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogEntry.

The documentation for this class was generated from the following file:

- TautomerCatalogEntry.h